Package com.google.protobuf

# Class UnmodifiableLazyStringList

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<String>
com.google.protobuf.UnmodifiableLazyStringList

All Implemented Interfaces:
  `LazyStringList`, `ProtocolStringList`, `Iterable<String>`, `Collection<String>`, `List<String>`, `RandomAccess`

@Deprecated public class UnmodifiableLazyStringList extends AbstractList<String> implements LazyStringList, RandomAccess
Deprecated.
use `Internal.ProtobufList.makeImmutable()` instead.
An implementation of `LazyStringList` that wraps another `LazyStringList` such that it cannot be modified via the wrapper.

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`UnmodifiableLazyStringList(LazyStringList list)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(byte[] element)`
Deprecated.
Appends the specified element to the end of this list (optional operation).
`void`
`add(ByteString element)`
Deprecated.
Appends the specified element to the end of this list (optional operation).
`boolean`
`addAllByteArray(Collection<byte[]> element)`
Deprecated.
Appends all elements in the specified byte[] collection to the end of this list.
`boolean`
`addAllByteString(Collection<? extends ByteString> element)`
Deprecated.
Appends all elements in the specified ByteString collection to the end of this list.
`List<byte[]>`
`asByteArrayList()`
Deprecated.
Returns a mutable view of this list.
`List<ByteString>`
`asByteStringList()`
Deprecated.
Returns a view of the data as a list of ByteStrings.
`String`
`get(int index)`
Deprecated.
`byte[]`
`getByteArray(int index)`
Deprecated.
Returns the element at the specified position in this list as byte[].
`ByteString`
`getByteString(int index)`
Deprecated.
Returns the element at the specified position in this list as a ByteString.
`Object`
`getRaw(int index)`
Deprecated.
Returns the element at the specified position in this list as an Object that will either be a String or a ByteString.
`List<?>`
`getUnderlyingElements()`
Deprecated.
Returns an unmodifiable List of the underlying elements, each of which is either a `String` or its equivalent UTF-8 encoded `ByteString` or byte[].
`LazyStringList`
`getUnmodifiableView()`
Deprecated.
Returns an unmodifiable view of the list.
`Iterator<String>`
`iterator()`
Deprecated.
`ListIterator<String>`
`listIterator(int index)`
Deprecated.
`void`
`mergeFrom(LazyStringList other)`
Deprecated.
Merges all elements from another LazyStringList into this one.
`void`
`set(int index, byte[] element)`
Deprecated.
Replaces the element at the specified position in this list with the specified element (optional operation).
`void`
`set(int index, ByteString element)`
Deprecated.
Replaces the element at the specified position in this list with the specified element (optional operation).
`int`
`size()`
Deprecated.

### Methods inherited from class java.util.AbstractList

`add, add, addAll, clear, equals, hashCode, indexOf, lastIndexOf, listIterator, remove, removeRange, set, subList`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, clear, contains, containsAll, equals, hashCode, indexOf, isEmpty, lastIndexOf, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, sort, spliterator, subList, toArray, toArray`

## Constructor Details

### UnmodifiableLazyStringList

public UnmodifiableLazyStringList(LazyStringList list)
Deprecated.

## Method Details

### get

public String get(int index)
Deprecated.

Specified by:
  `get` in interface `List<String>`
Specified by:
  `get` in class `AbstractList<String>`

### getRaw

public Object getRaw(int index)
Deprecated.
Description copied from interface: `LazyStringList`
Returns the element at the specified position in this list as an Object that will either be a String or a ByteString.

Specified by:
  `getRaw` in interface `LazyStringList`
Parameters:
  `index` - index of the element to return
Returns:
  the element at the specified position in this list

### size

public int size()
Deprecated.

Specified by:
  `size` in interface `Collection<String>`
Specified by:
  `size` in interface `List<String>`
Specified by:
  `size` in class `AbstractCollection<String>`

### getByteString

public ByteString getByteString(int index)
Deprecated.
Description copied from interface: `LazyStringList`
Returns the element at the specified position in this list as a ByteString.

Specified by:
  `getByteString` in interface `LazyStringList`
Parameters:
  `index` - index of the element to return
Returns:
  the element at the specified position in this list

### add

public void add(ByteString element)
Deprecated.
Description copied from interface: `LazyStringList`
Appends the specified element to the end of this list (optional operation).

Specified by:
  `add` in interface `LazyStringList`
Parameters:
  `element` - element to be appended to this list

### set

public void set(int index, ByteString element)
Deprecated.
Description copied from interface: `LazyStringList`
Replaces the element at the specified position in this list with the specified element (optional operation).

Specified by:
  `set` in interface `LazyStringList`
Parameters:
  `index` - index of the element to replace
  `element` - the element to be stored at the specified position

### addAllByteString

public boolean addAllByteString(Collection<? extends ByteString> element)
Deprecated.
Description copied from interface: `LazyStringList`
Appends all elements in the specified ByteString collection to the end of this list.

Specified by:
  `addAllByteString` in interface `LazyStringList`
Parameters:
  `element` - collection whose elements are to be added to this list
Returns:
  true if this list changed as a result of the call

### getByteArray

public byte[] getByteArray(int index)
Deprecated.
Description copied from interface: `LazyStringList`
Returns the element at the specified position in this list as byte[].

Specified by:
  `getByteArray` in interface `LazyStringList`
Parameters:
  `index` - index of the element to return
Returns:
  the element at the specified position in this list

### add

public void add(byte[] element)
Deprecated.
Description copied from interface: `LazyStringList`
Appends the specified element to the end of this list (optional operation).

Specified by:
  `add` in interface `LazyStringList`
Parameters:
  `element` - element to be appended to this list

### set

public void set(int index, byte[] element)
Deprecated.
Description copied from interface: `LazyStringList`
Replaces the element at the specified position in this list with the specified element (optional operation).

Specified by:
  `set` in interface `LazyStringList`
Parameters:
  `index` - index of the element to replace
  `element` - the element to be stored at the specified position

### addAllByteArray

public boolean addAllByteArray(Collection<byte[]> element)
Deprecated.
Description copied from interface: `LazyStringList`
Appends all elements in the specified byte[] collection to the end of this list.

Specified by:
  `addAllByteArray` in interface `LazyStringList`
Parameters:
  `element` - collection whose elements are to be added to this list
Returns:
  true if this list changed as a result of the call

### listIterator

public ListIterator<String> listIterator(int index)
Deprecated.

Specified by:
  `listIterator` in interface `List<String>`
Overrides:
  `listIterator` in class `AbstractList<String>`

### iterator

public Iterator<String> iterator()
Deprecated.

Specified by:
  `iterator` in interface `Collection<String>`
Specified by:
  `iterator` in interface `Iterable<String>`
Specified by:
  `iterator` in interface `List<String>`
Overrides:
  `iterator` in class `AbstractList<String>`

### getUnderlyingElements

public List<?> getUnderlyingElements()
Deprecated.
Description copied from interface: `LazyStringList`
Returns an unmodifiable List of the underlying elements, each of which is either a `String` or its equivalent UTF-8 encoded `ByteString` or byte[]. It is an error for the caller to modify the returned List, and attempting to do so will result in an `UnsupportedOperationException`.

Specified by:
  `getUnderlyingElements` in interface `LazyStringList`

### mergeFrom

public void mergeFrom(LazyStringList other)
Deprecated.
Description copied from interface: `LazyStringList`
Merges all elements from another LazyStringList into this one. This method differs from `List.addAll(Collection)` on that underlying byte arrays are copied instead of reference shared. Immutable API doesn't need to use this method as byte[] is not used there at all.

Specified by:
  `mergeFrom` in interface `LazyStringList`

### asByteArrayList

public List<byte[]> asByteArrayList()
Deprecated.
Description copied from interface: `LazyStringList`
Returns a mutable view of this list. Changes to the view will be made into the original list. This method is used in mutable API only.

Specified by:
  `asByteArrayList` in interface `LazyStringList`

### asByteStringList

public List<ByteString> asByteStringList()
Deprecated.
Description copied from interface: `ProtocolStringList`
Returns a view of the data as a list of ByteStrings.

Specified by:
  `asByteStringList` in interface `ProtocolStringList`

### getUnmodifiableView

public LazyStringList getUnmodifiableView()
Deprecated.
Description copied from interface: `LazyStringList`
Returns an unmodifiable view of the list.

Specified by:
  `getUnmodifiableView` in interface `LazyStringList`